function [gCR, gCD]=getDRRatesFromJohnsHopkins(C, R, D)
%
% calculate the sequences gCR, gCD from C, R, D
% like in the paper. They come in the same length.
% Smoothing must be done outside.
%
% When division by zero occurs, values
% are set to zero. 
%
% get Infectious
I=C-R-D;
len=length(C);
% allocate and calculate differences
dR=zeros(len,1);
dR(2:len)=R(2:len)-R(1:len-1);
dD=zeros(len,1);
dD(2:len)=D(2:len)-D(1:len-1);
% Note that differences always start with zeros
% We avoid division by zeros later
%
% allocate full output vectors
gCD=zeros(len,1);
gCR=zeros(len,1);
%
tI=find(I>=1); % avoid division by zero
% formulas as in the paper:
gCR(tI)=dR(tI)./I(tI);
gCD(tI)=dD(tI)./I(tI);
