function getJHR0estimate(lastdayused, color, R0backlog, k, kbacklog)
% Johns Hopkins model R_0 estimation
% lastdayused used to fix the endtime in the paper
% color is 'black' or 'color'
% kbacklog is number of days used in estimateRecovered
countrylist=GetCoronaCountryList;
% indlist is the selection of countries frtom countrylist
% plotlist has the plot parameters  in the numbering of the countrylist
% colors and symbols
%countrylist={ 'Germany' 'Brazil' 'Russia' 'Italy' 'Spain' ...
%        'Sweden' 'Austria' 'France' 'UK', 'US',...
%       'Denmark','Switzerland'};

if color=='black'
    indlist=[1 2 8 10 4];
    plotlist={ 'k-o' 'k-s' 'k-+' 'k-*' 'k-*' 'k-+' 'k-*' 'k-x' 'k:' 'k-+' 'k-x'};
end
if color=='color'
    indlist=[1 2 8 10 4];
    plotlist={ 'k-x' 'g-x' 'r-x' 'b-x' 'c-x' 'm-x' 'y-x' 'm-x' 'b-x' 'r-x' 'k-x'};
end

figure
for j=1:length(indlist) % loop over selected countries
    i=indlist(j)
    country=char(countrylist(indlist(j)))
    [tC, C, tI, I, tR, R, tD, D, tER, ER]=getCIRD(country, lastdayused, k, kbacklog);
    pars=getCoronaParameters(country);
    if pars(3)==1 % estimate Recovered
        R=ER;
    end
    I=C-R-D;
    len=length(C);
    [tt, gam, b, ttr, r]=getJHGammaBR0(C, R, D);
    tt=intersect(tt, (len-R0backlog:len)');
    plot(tt,b(tt)./gam(tt),char(plotlist(i)))
    hold on
%     h=gca;
%     set(h,'FontSize',20)
    
end
% semilogy(t(tIstart:len),ones(len-tIstart+1),'k.')
semilogy(tt,ones(size(tt)),'k.')
h=gca;
set(h,'FontSize',15)

% xlabel('Days from Jan. 22nd, 2020')
% title('R_0 estimates from Johns Hopkins model')
if color=='black'
    legend('Germany' ,'Brazil', 'France' ,'US','Italy',-1);
end
if color=='color'
    legend('Germany' ,'Brazil', 'France', ...
        'US' ,'Italy')
    
end
