function out=mylogsmoother(in)
% applies mysmoother on logarithms of positive sequences
% and keeps nonpositive data
out=zeros(size(in));
pos=find(in>0); % this will now be the part to be smoothed
% and we want the indices be contiguous  
% because mysmoother assumes that
if max(pos)-min(pos)~=length(pos)-1
    error('Input to mylogsmoother is not contiguous')
end
login=log(in(pos));
logout=mysmoother(login);
out(pos)=exp(logout);

