function plotfullmodeldata(S, M, H, C, I, R, D, tmod, Smod, Mmod, Hmod, Cmod, Imod, Rmod, Dmod, HCmod,...
    modelstart, modspace, timespan, divisor, country, color, full)
% prepare for semilogy plotting, but without figure statement
% for possible overplotting
pars=getCoronaParameters(country);
tS=find(S>=1);
tM=find(M>=1);
tH=find(H>=1);
tC=find(C>=1);
tI=find(I>=1);
tR=find(R>=1);
tD=find(D>=1);
tSmod=find(Smod>=1);
nsI=myspacerback(tI, I,modspace);
nsC=myspacerback(tC, C,modspace);
nsR=myspacerback(tR, R,modspace);
nsD=myspacerback(tD, D,modspace);
nsM=myspacerback(tM, M,modspace);
nsH=myspacerback(tH, H,modspace);
nsS=myspacerback(tS, S,modspace);
predmodspace=max(modspace,floor(timespan/divisor));
nmod=myspacerbegin(tmod-modelstart, Hmod, predmodspace);
nMmod=intersect(nmod,find(Mmod>=1));
tMmod=intersect(tmod-modelstart,find(Mmod>=1));
nImod=intersect(nmod,find(Imod>=1));
tImod=intersect(tmod-modelstart,find(Imod>=1));
nSmod=myspacerbegin(tSmod, Smod, predmodspace);
% first the full data, then the prediction
if color=='black'
    if full=='thin'
        semilogy(nsI,I(nsI),'ko',nsD,D(nsD),'k+',...
            nsM,M(nsM),'ks',nMmod+modelstart-1, Mmod(nMmod),'k',...
            nmod+modelstart-1, Dmod(nmod),'k',...
            nImod+modelstart-1, Imod(nImod),'k',...
            'MarkerSize',6)
        hold on
        semilogy(tI,I(tI),'k',tD,D(tD),'k',...
            tM,M(tM),'k', modelstart+tMmod-1, Mmod(tMmod),'k',...
            tmod, Dmod,'k',...
            modelstart+tImod-1, Imod(tImod),'k')
        hold on
    end
    if full=='full'
        semilogy(nsI,I(nsI),'ko', nsC,C(nsC),'kx',nsR,R(nsR),'k^',nsD,D(nsD),'k+',...
            nsM,M(nsM),'ks', nsH,H(nsH),'kd',nsS,S(nsS),'kv',...
            modelstart+nSmod-1, Smod(nSmod), 'kv',...
            nmod+modelstart-1, Hmod(nmod), 'kd',...
            nMmod+modelstart-1, Mmod(nMmod),'ks',nmod+modelstart-1, Cmod(nmod),'kx', ...
            nmod+modelstart-1, Dmod(nmod),'k+',nmod+modelstart-1, Rmod(nmod),'k^',...
            nImod+modelstart-1, Imod(nImod),'ko',...
            'MarkerSize',6)
        hold on
        semilogy(tI,I(tI),'k', tC,C(tC),'k',tR,R(tR),'k',tD,D(tD),'k',...
            tM,M(tM),'k', tH,H(tH),'k',tS,S(tS),'k',...
            modelstart+tSmod-1, Smod(tSmod), 'k',...
            tmod, Hmod, 'k',...
            modelstart+tMmod-1, Mmod(tMmod),'k',tmod, Cmod,'k', ...
            tmod, Dmod,'k',tmod, Rmod,'k',...
            modelstart+tImod-1, Imod(tImod),'k')
        hold on
    end
    h=gca;
    set(h,'FontSize',15)
    
end
if color=='color'
    %     semilogy(nsI,I(nsI),'c', nsC,C(nsC),'b',nsR,R(nsR),'g',nsD,D(nsD),'r',...
    %         nsM,M(nsM),'k', nsH,H(nsH),'m',nsS,S(nsS),'k',...
    %         modelstart+nSmod-1, Smod(nSmod), 'k:',...
    %         nmod+modelstart-1, Hmod(nmod), 'm--',...
    %         tMmod+modelstart-1, Mmod(tMmod),'k--',nmod+modelstart-1, Cmod(nmod),'b--', ...
    %         nmod+modelstart-1, Dmod(nmod),'r--',nmod+modelstart-1, Rmod(nmod),'g--',...
    %         tImod+modelstart-1, Imod(tImod),'c--',...
    %         'MarkerSize',6)
    
    if full=='thin'
        semilogy(nsI,I(nsI),'co',nsD,D(nsD),'r+',...
            nsM,M(nsM),'ks',nMmod+modelstart-1, Mmod(nMmod),'k',...
            nmod+modelstart-1, Dmod(nmod),'r',...
            nImod+modelstart-1, Imod(nImod),'c',...
            'MarkerSize',6)
        hold on
        semilogy(tI,I(tI),'c',tD,D(tD),'r',...
            tM,M(tM),'k', modelstart+tMmod-1, Mmod(tMmod),'k',...
            tmod, Dmod,'r',...
            modelstart+tImod-1, Imod(tImod),'c')
        hold on
    end
    if full=='full'
        semilogy(nsI,I(nsI),'co', nsC,C(nsC),'bx',nsR,R(nsR),'g^',nsD,D(nsD),'r+',...
            nsM,M(nsM),'ks', nsH,H(nsH),'md',nsS,S(nsS),'kv',...
            modelstart+nSmod-1, Smod(nSmod), 'kv',...
            nmod+modelstart-1, Hmod(nmod), 'md',...
            nMmod+modelstart-1, Mmod(nMmod),'ks',nmod+modelstart-1, Cmod(nmod),'bx', ...
            nmod+modelstart-1, Dmod(nmod),'r+',nmod+modelstart-1, Rmod(nmod),'g^',...
            nImod+modelstart-1, Imod(nImod),'co',...
            'MarkerSize',6)
        hold on
        semilogy(tI,I(tI),'c', tC,C(tC),'b',tR,R(tR),'g',tD,D(tD),'r',...
            tM,M(tM),'k', tH,H(tH),'m',tS,S(tS),'k',...
            modelstart+tSmod-1, Smod(tSmod), 'k',...
            tmod, Hmod, 'm',...
            modelstart+tMmod-1, Mmod(tMmod),'k',tmod, Cmod,'b', ...
            tmod, Dmod,'r',tmod, Rmod,'g',...
            modelstart+tImod-1, Imod(tImod),'c')
        hold on
        % legend('I','C','R','D','M','H','S',-1)
    end
    h=gca;
    set(h,'FontSize',15)
    
end

% if color=='color'
%     semilogy(nsI,I(nsI),'c', nsC,C(nsC),'b',nsR,R(nsR),'g',nsD,D(nsD),'r',...
%         nsM,M(nsM),'k', nsH,H(nsH),'m',nsS,S(nsS),'k',...
%         modelstart+nSmod-1, Smod(nSmod), 'k:',...
%         nmod+modelstart-1, Hmod(nmod), 'm--',...
%         tMmod+modelstart-1, Mmod(tMmod),'k--',nmod+modelstart-1, Cmod(nmod),'b--', ...
%         nmod+modelstart-1, Dmod(nmod),'r--',nmod+modelstart-1, Rmod(nmod),'g--',...
%         tImod+modelstart-1, Imod(tImod),'c--',...
%         'MarkerSize',6)
%     semilogy(tI,I(tI),'k', tC,C(tC),'k',tR,R(tR),'k',tD,D(tD),'k',...
%         tM,M(tM),'k', tH,H(tH),'k',tS,S(tS),'k',...
%         modelstart+tSmod-1, Smod(tSmod), 'k',...
%         tmod, Hmod, 'k',...
%         tmod, Mmod,'k',tmod, Cmod,'k', ...
%         tmod, Dmod,'k',tmod, Rmod,'k',...
%         tmod, Imod,'k')
%     hold on

semilogy([modelstart modelstart],[1,pars(2)],'k')
h=gca;
set(h,'FontSize',15)

hold on
% legend('I','C','R','D','M','H','S',-1)
